DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
CID218e_QuantitativeImageFeature Class Reference

DCMR Context Group with enhanced functionality: CID 218 - Quantitative Image Feature. More...

Inheritance diagram for CID218e_QuantitativeImageFeature:

## Public Member Functions
| CID218e_QuantitativeImageFeature (const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| (default) constructor More...
| CID218e_QuantitativeImageFeature (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor More...
| CID218e_QuantitativeImageFeature (const CMR_CID7469::EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor. More...
virtual OFCondition | selectValue (const CMR_CID7469::EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its type as the current value. More...
virtual OFCondition | selectValue (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its type as the current value More...
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value More...
Public Member Functions inherited from CID218_QuantitativeImageFeature
| CID218_QuantitativeImageFeature (const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| (default) constructor More...
| CID218_QuantitativeImageFeature (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor More...
virtual OFCondition | selectValue (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its type as the current value More...
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| search for a given coded entry in this context group. More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &searchForCodedEntry, DSRCodedEntryValue *foundCodedEntry, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group More...
Public Member Functions inherited from DSRContextGroup
| operator const DSRCodedEntryValue & () const
| conversion operator that returns the currently selected coded entry value (might be empty if none is selected)
virtual void | clear ()
| clear list of extended coded entries and forget about the currently selected coded entry
OFBool | isExtensible () const
| check whether context group is extensible More...
void | setExtensible (const OFBool mode=OFTrue)
| change mode specifying whether the context group is extensible or non-extensible More...
const OFString & | getIdentifier () const
| get context identifier More...
const OFString & | getMappingResource () const
| get mapping resource More...
const OFString & | getKeyword () const
| get context group keyword More...
const OFString & | getVersion () const
| get context group version (optional) More...
const OFString & | getUID () const
| get context group UID (optional) More...
virtual OFBool | hasSelectedValue () const
| check whether a coded entry is selected as the current value More...
const DSRCodedEntryValue & | getSelectedValue () const
| get currently selected coded entry value (optional) More...
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value More...
virtual OFBool | hasCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| check whether a given coded entry is contained in this context group. More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| search for a given coded entry in this context group. More...
virtual OFBool | hasExtendedCodedEntries () const
| check whether this context group has any extended coded entries. More...
virtual OFCondition | addCodedEntry (const DSRCodedEntryValue &codedEntryValue)
| add a coded entry to this context group as an extension, i.e. as a non-standard code. More...
virtual OFCondition | lookupCodedEntry (DSRCodedEntryValue &codedEntryValue, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group and, if found, replace its value with the one found in the context group. More...
virtual void | print (STD_NAMESPACE ostream &stream) const
| print contents of this context group, i.e. a general header, the currently selected coded entry value (if any) and all coded entries that are contained in this context group (both standard and extended ones). More...
virtual OFCondition | checkSelectedValue (const OFBool definedContextGroup=OFFalse) const
| check whether the currently selected coded entry is valid. More...

## Additional Inherited Members
Public Types inherited from CID218_QuantitativeImageFeature
enum | EnumType { IntensityHistogramMean , IntensityHistogramVariance , IntensityHistogramSkewness , IntensityHistogramKurtosis , IntensityHistogramMedian , IntensityHistogramMinimumGrayLevel , IntensityHistogram10thPercentile , IntensityHistogram90thPercentile , IntensityHistogramMaximumGrayLevel , IntensityHistogramMode , IntensityHistogramInterquartileRange , IntensityHistogramRange , IntensityHistogramMeanAbsoluteDeviation , IntensityHistogramRobustMeanAbsoluteDeviation , IntensityHistogramMedianAbsoluteDeviation , IntensityHistogramCoefficientOfVariation , IntensityHistogramQuartileCoefficientOfDispersion , IntensityHistogramEntropy , IntensityHistogramUniformity , IntensityHistogramMaximumGradient , IntensityHistogramMaximumGradientGrayLevel , IntensityHistogramMinimumGradient , IntensityHistogramMinimumGradientGrayLevel , JointEntropyOfGLCM , RootAngularSecondMomentOfGLCM , InverseDifferenceMomentOfGLCM , ContrastOfGLCM , DissimilarityOfGLCM , AngularSecondMomentOfGLCM , CorrelationOfGLCM , JointMaximumOfGLCM , JointAverageOfGLCM , JointVarianceOfGLCM , DifferenceAverageOfGLCM , DifferenceVarianceOfGLCM , DifferenceEntropyOfGLCM , SumAverageOfGLCM , SumVarianceOfGLCM , SumEntropyOfGLCM , InverseDifferenceOfGLCM , NormalizedInverseDifferenceOfGLCM , NormalizedInverseDifferenceMomentOfGLCM , InverseVarianceOfGLCM , AutocorrelationOfGLCM , ClusterTendencyOfGLCM , ClusterShadeOfGLCM , ClusterProminenceOfGLCM , FirstMeasureOfInformationCorrelationOfGLCM , SecondMeasureOfInformationCorrelationOfGLCM , ShortRunsEmphasis , LongRunsEmphasis , LowGrayLevelRunEmphasis , HighGrayLevelRunEmphasis , ShortRunLowGrayLevelEmphasis , ShortRunHighGrayLevelEmphasis , LongRunLowGrayLevelEmphasis , LongRunHighGrayLevelEmphasis , GrayLevelNonuniformityInRuns , NormalizedGrayLevelNonuniformityInRuns , RunLengthNonuniformity , NormalizedRunLengthNonuniformity , RunPercentage , GrayLevelVarianceInRuns , RunLengthVariance , RunEntropy , SmallZoneEmphasis , LargeZoneEmphasis , LowGrayLevelZoneEmphasis , HighGrayLevelZoneEmphasis , SmallZoneLowGrayLevelEmphasis , SmallZoneHighGrayLevelEmphasis , LargeZoneLowGrayLevelEmphasis , LargeZoneHighGrayLevelEmphasis , GrayLevelNonuniformityOfSizeZoneCounts , NormalizedGrayLevelNonuniformityOfSizeZoneCounts , ZoneSizeNonuniformity , NormalizedZoneSizeNonuniformity , SizeZonePercentage , GrayLevelVarianceInSizeZones , ZoneSizeVariance , ZoneSizeEntropy , SmallDistanceEmphasis , LargeDistanceEmphasis , LowGreyLevelZoneEmphasis , HighGreyLevelZoneEmphasis , SmallDistanceLowGreyLevelEmphasis , SmallDistanceHighGreyLevelEmphasis , LargeDistanceLowGreyLevelEmphasis , LargeDistanceHighGreyLevelEmphasis , GreyLevelNonUniformityOfDistanceZoneCounts , NormalizedGreyLevelNonUniformityOfDistanceZoneCounts , ZoneDistanceNonUniformity , NormalizedZoneDistanceNonUniformity , DistanceZonePercentage , GreyLevelVarianceInDistanceZones , ZoneDistanceVariance , ZoneDistanceEntropy , CoarsenessOfNGTDM , ContrastOfNGTDM , BusynessOfNGTDM , ComplexityOfNGTDM , StrengthOfNGTDM , LowDependenceEmphasis , HighDependenceEmphasis , LowGreyLevelCountEmphasis , HighGreyLevelCountEmphasis , LowDependenceLowGreyLevelEmphasis , LowDependenceHighGreyLevelEmphasis , HighDependenceLowGreyLevelEmphasis , HighDependenceHighGreyLevelEmphasis , GreyLevelNonUniformityOfNGLDM , NormalizedGreyLevelNonUniformityOfNGLDM , DependenceCountNonUniformity , DependenceCountNonUniformityNormalized , DependenceCountPercentage , GreyLevelVarianceOfNGLDM , DependenceCountVariance , DependenceCountEntropy , DependenceCountEnergy , FractalDimension , NAcetylaspartate , Citrate , Choline , Creatine , CreatineAndCholine , Lactate , Lipid , LipidAndLactate , GlutamateAndGlutamine , Glutamine , Tuarine , Inositol , CholinePerCreatineRatio , NAcetylaspartatePerCreatineRatio , NAcetylaspartatePerCholineRatio , CreatinePlusCholinePerCitrateRatio , T1 , T2 , T2Star , ProtonDensity , SpinTaggingPerfusionMRSignalIntensity , VelocityEncoded , TemperatureEncoded , ContrastAgentAngioMRSignalIntensity , TimeOfFlightAngioMRSignalIntensity , ProtonDensityWeightedMRSignalIntensity , T1WeightedMRSignalIntensity , T2WeightedMRSignalIntensity , T2StarWeightedMRSignalIntensity , DiffusionWeighted , VolumetricDiffusionDxxComponent , VolumetricDiffusionDxyComponent , VolumetricDiffusionDxzComponent , VolumetricDiffusionDyyComponent , VolumetricDiffusionDyzComponent , VolumetricDiffusionDzzComponent , FractionalAnisotropy , RelativeAnisotropy , VolumeRatio , ApparentDiffusionCoefficient , DiffusionCoefficient , MonoExponentialApparentDiffusionCoefficient , SlowDiffusionCoefficient , FastDiffusionCoefficient , FastDiffusionCoefficientFraction , KurtosisDiffusionCoefficient , GammaDistributionScaleParameter , GammaDistributionShapeParameter , GammaDistributionMode , DistributedDiffusionCoefficient , AnomalousExponentParameter , FieldMapMRSignalIntensity , T1WeightedDynamicContrastEnhancedMRSignalIntensity , T2WeightedDynamicContrastEnhancedMRSignalIntensity , T2StarWeightedDynamicContrastEnhancedMRSignalIntensity , BloodOxygenationLevel , NuclearMedicineProjectionActivity , NuclearMedicineTomographicActivity , SpatialDisplacementXComponent , SpatialDisplacementYComponent , SpatialDisplacementZComponent , HemodynamicResistance , IndexedHemodynamicResistance , AttenuationCoefficient , TissueVelocity , FlowVelocity , PowerDoppler , FlowVariance , Elasticity , Perfusion , SpeedOfSound , UltrasoundAttenuation , StudentsTTest , ZScore , RCoefficient , R2Coefficient , ChiSquare , DW , AIC , BIC , RGBRComponent , RGBGComponent , RGBBComponent , YBR_FULLYComponent , YBR_FULL_CBComponent , YBR_FULL_CRComponent , YBR_PARTIALYComponent , YBR_PARTIAL_CBComponent , YBR_PARTIAL_CRComponent , YBR_ICTYComponent , YBR_ICT_CBComponent , YBR_ICT_CRComponent , YBR_RCTYComponent , YBR_RCT_CBComponent , YBR_RCT_CRComponent , Echogenicity , XRayAttenuation , MRSignalIntensity , BinarySegmentation , FractionalProbabilisticSegmentation , FractionalOccupancySegmentation , R1 , R2 , R2Star , MagnetizationTransferRatio , MagneticSusceptibility , Ktrans , Kep , Ve , Tau_m , Vp , AbsoluteRegionalBloodFlow , AbsoluteRegionalBloodVolume , RelativeRegionalBloodFlow , RelativeRegionalBloodVolume , MeanTransitTime , TimeToPeak , OxygenExtractionFraction , Tmax , IAUC , IAUC60 , IAUC90 , IAUC180 , IAUCBN , IAUC60BN , IAUC90BN , IAUC180BN , TimeOfPeakConcentration , TimeOfLeadingHalfPeakConcentration , BolusArrivalTime , TemporalDerivativeThreshold , MaximumSlope , MaximumDifference , TracerConcentration , StandardizedUptakeValue , SUVbw , SUVlbm , SUVlbmJames128 , SUVlbmJanma , SUVbsa , SUVibw , AbsorbedDose , EquivalentDose , Fat , FatFraction , WaterPerFatInPhase , WaterPerFatOutOfPhase , NegativeEnhancementIntegral , SignalChange , SignalToNoise , TimeCourseOfSignal , Water , WaterFraction , RelativeLinearStoppingPower , ClassActivation , GradientWeightedClassActivation , Saliency , Length , PathLength , Distance , Width , Depth , Diameter , LongAxis , ShortAxis , MajorAxis , MinorAxis , PerpendicularAxis , Radius , Perimeter , Circumference , DiameterOfCircumscribedCircle , Height , LineSegmentLength , Maximum3DDiameterOfAMesh , MajorAxisIn3DLength , MinorAxisIn3DLength , LeastAxisIn3DLength , Area , AreaOfDefinedRegion , SurfaceAreaOfMesh , Volume , VolumeEstimatedFromSingle2DRegion , VolumeEstimatedFromTwoNonCoplanar2DRegions , VolumeEstimatedFromThreeOrMoreNonCoplanar2DRegions , VolumeOfSphere , VolumeOfEllipsoid , VolumeOfCircumscribedSphere , VolumeOfBoundingThreeDimensionalRegion , VolumeOfMesh , VolumeFromVoxelSummation , NumberOfPixels , NumberOfVoxels , SurfaceToVolumeRatio , Compactness1 , Compactness2 , SphericalDisproportion , Sphericity , Asphericity , CentreOfMassShift , Elongation , Flatness , VolumeDensityInFrameOfReferenceAxisAlignedBoundingBox , AreaDensityInFrameOfReferenceAxisAlignedBoundingBox , VolumeDensityInOrientedMinimumBoundingBox , AreaDensityInOrientedMinimumBoundingBox , VolumeDensityInApproximateEnclosingEllipsoid , AreaDensityInApproximateEnclosingEllipsoid , VolumeDensityInMinimumVolumeEnclosingEllipsoid , AreaDensityInMinimumVolumeEnclosingEllipsoid , VolumeDensityInConvexHull , AreaDensityInConvexHull , IntegratedIntensity , MoransIIndex , GearysCMeasure , CobbAngle , AcetabularAngle }
| types of quantitative image feature More...
Static Public Member Functions inherited from CID218_QuantitativeImageFeature
static void | initialize ()
| initialize this context group explicitly. More...
static void | cleanup ()
| cleanup this context group, i.e. delete the internal list of standard coded entries. More...
static DSRCodedEntryValue | getCodedEntry (const EnumType value, const OFBool enhancedEncodingMode=OFFalse)
| map a given type to the associated coded entry More...
Protected Types inherited from CID218_QuantitativeImageFeature
typedef OFMap< EnumType, DSRBasicCodedEntry > | CodeList
| type used for storing and managing the coded entries
Protected Member Functions inherited from CID218_QuantitativeImageFeature
virtual void | printCodes (STD_NAMESPACE ostream &stream) const
| print details on coded entries that are contained in this context group. More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &searchForCodedEntry, DSRCodedEntryValue *foundCodedEntry, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group More...
Protected Member Functions inherited from DSRContextGroup
| DSRContextGroup (const OFString &contextIdentifier, const OFString &mappingResource, const OFString &contextGroupKeyword="", const OFString &contextGroupVersion="", const OFString &contextGroupUID="", const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| constructor More...
virtual | ~DSRContextGroup ()
| destructor
virtual void | printHeader (STD_NAMESPACE ostream &stream) const
| print header with some general information on this context group More...
virtual OFCondition | checkCodedEntry (const DSRCodedEntryValue &codedEntryValue, const OFBool definedContextGroup) const
| check whether a given coded entry is valid. More...
Static Protected Member Functions inherited from CID218_QuantitativeImageFeature
static CodeList & | getCodes ()
| get list of standard coded entries that are managed by this context group. More...
static OFCondition | setEnhancedEncodingMode (DSRCodedEntryValue &codedEntryValue)
| set the "Enhanced Encoding Mode" for a given coded entry More...

## Detailed Description

DCMR Context Group with enhanced functionality: CID 218 - Quantitative Image Feature.

## Constructor & Destructor Documentation

## ◆ CID218e_QuantitativeImageFeature() [1/3]

CID218e_QuantitativeImageFeature::CID218e_QuantitativeImageFeature | ( | const DSRCodedEntryValue & | selectedValue = `DSRCodedEntryValue()` | ) |

(default) constructor

Parameters

  selectedValue | coded entry to be selected as the current value (optional). Should be a valid code according to the DICOM definitions for this context group, i.e. no checks are performed. Call DSRContextGroup::checkSelectedValue() if needed.

## ◆ CID218e_QuantitativeImageFeature() [2/3]

CID218e_QuantitativeImageFeature::CID218e_QuantitativeImageFeature | ( | const EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |

constructor

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

## ◆ CID218e_QuantitativeImageFeature() [3/3]

CID218e_QuantitativeImageFeature::CID218e_QuantitativeImageFeature | ( | const CMR_CID7469::EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |

constructor.

The type that is passed to this constructor is from CID 7469 - Generic Intensity and Size Measurements, which is included in this context group.

Note
  This method is provided for reasons of backward compatibility.

Parameters

  selectedValue | type (from CID 7469) mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

## Member Function Documentation

## ◆ selectValue() [1/3]

virtual OFCondition CID218e_QuantitativeImageFeature::selectValue | ( | const CMR_CID7469::EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |
| virtual

select a coded entry given by its type as the current value.

The type from CID 7469 - Generic Intensity and Size Measurement, which is included in this context group.

Note
  This method is provided for reasons of backward compatibility.

Parameters

  selectedValue | type (from CID 7469) mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ selectValue() [2/3]

virtual OFCondition DSRContextGroup::selectValue

select a given coded entry as the current value

Parameters

  codedEntryValue | coded entry to be selected as the current value
  check | if enabled, check 'codedEntryValue' for validity and appropriateness before selecting it as the current value. See checkSelectedValue() for details.
  definedContextGroup | flag indicating whether this context group is used as a baseline (default) or defined context group. The first means that the list of coded entries in this context group is just a suggestion. The latter means that one of the coded entries should be used.

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ selectValue() [3/3]

virtual OFCondition CID218_QuantitativeImageFeature::selectValue

select a coded entry given by its type as the current value

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/cmr/cid218e.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1